Bug 104160 - [EFL][Qt][CSS Regions] fast/regions/autowidth-normalflow-maxwidth.html is failing
Summary: [EFL][Qt][CSS Regions] fast/regions/autowidth-normalflow-maxwidth.html is fai...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-12-05 13:19 PST by Yael
Modified: 2013-01-07 23:29 PST (History)
3 users (show)

See Also:


Attachments
Patch (4.26 KB, patch)
2012-12-05 14:32 PST, Yael
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yael 2012-12-05 13:19:56 PST
The test fast/regions/autowidth-normalflow-maxwidth.html is failing both for EFL and Qt.
The test and the expected results don't look the same even when loaded in MiniBrowser.
It seems that the test has an expectation that the text of the test can fit in 400 pixels, but both for Qt and for EFL MiniBrowsers, the text requires more than that.
An easy fix would be to increase the height of the the region to 450 or 500 pixels.
Comment 1 Yael 2012-12-05 14:32:48 PST
Created attachment 177832 [details]
Patch
Comment 2 WebKit Review Bot 2012-12-06 05:55:28 PST
Comment on attachment 177832 [details]
Patch

Clearing flags on attachment: 177832

Committed r136835: <http://trac.webkit.org/changeset/136835>
Comment 3 WebKit Review Bot 2012-12-06 05:55:31 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Mihnea Ovidenie 2013-01-02 06:35:47 PST
Hi Yael,

The purpose of the test was to check that max-width is honored in the case of a region with width: auto. The text, both in original and expected, is not supposed to fit in 400px, but rather to overflow the region and the div containing the test in expected file. In both cases, it should have shown about 10 lines of gray text (last one shorter) because neither the region nor the div containing the text have overflow:hidden.

Because of that, changing the height to 450 seems like a wrong way to fix this test. I have build QT on Linux with latest and also revision 136322 from Dec 2 and i have changed the height to 400, without noticing any diff. Would you mind telling me what revision on QT have you used to notice the difference?

Cheers,
Mihnea
Comment 5 Yael 2013-01-02 17:14:18 PST
(In reply to comment #4)
> Hi Yael,
> 
> The purpose of the test was to check that max-width is honored in the case of a region with width: auto. The text, both in original and expected, is not supposed to fit in 400px, but rather to overflow the region and the div containing the test in expected file. In both cases, it should have shown about 10 lines of gray text (last one shorter) because neither the region nor the div containing the text have overflow:hidden.
> 
> Because of that, changing the height to 450 seems like a wrong way to fix this test. I have build QT on Linux with latest and also revision 136322 from Dec 2 and i have changed the height to 400, without noticing any diff. Would you mind telling me what revision on QT have you used to notice the difference?
> 
> Cheers,
> Mihnea


Hi Mihnea, Sorry for misunderstanding the test and also for cc'ing the wrong person on this bug. If you think that the original version is the correct version of the test, please feel free to roll out.

I just tested with r137836 on Qt's MiniBrowser and if I change the 450 back to 400, in fast/regions/autowidth-normalflow-maxwidth.html, the test is failing. With 450 it does not fail.
Comment 6 Mihnea Ovidenie 2013-01-07 23:29:11 PST
(In reply to comment #5)
> (In reply to comment #4)
> > Hi Yael,
> > 
> > The purpose of the test was to check that max-width is honored in the case of a region with width: auto. The text, both in original and expected, is not supposed to fit in 400px, but rather to overflow the region and the div containing the test in expected file. In both cases, it should have shown about 10 lines of gray text (last one shorter) because neither the region nor the div containing the text have overflow:hidden.
> > 
> > Because of that, changing the height to 450 seems like a wrong way to fix this test. I have build QT on Linux with latest and also revision 136322 from Dec 2 and i have changed the height to 400, without noticing any diff. Would you mind telling me what revision on QT have you used to notice the difference?
> > 
> > Cheers,
> > Mihnea
> 
> 
> Hi Mihnea, Sorry for misunderstanding the test and also for cc'ing the wrong person on this bug. If you think that the original version is the correct version of the test, please feel free to roll out.
> 
> I just tested with r137836 on Qt's MiniBrowser and if I change the 450 back to 400, in fast/regions/autowidth-normalflow-maxwidth.html, the test is failing. With 450 it does not fail.

Ok, now i see the failure and i need to investigate it. I was not testing with WK2.